<?php

namespace Drupal\synpay\Hook;

use Drupal\Core\Form\FormStateInterface;

/**
 * CheckoutFormAlter.
 */
class CheckoutFormAlter {

  /**
   * Hook From Alter.
   */
  public static function hook(&$form, FormStateInterface $form_state, $form_id) {
    // $form['actions']['next']['#value'] = t('Cash payment');
    // $form['payment_information']['payment_method']['#attributes']['class'][] = 'hidden';
    // Step 1 Order Information.
    if ($form['#step_id'] == 'order_information') {
      unset($form['shipping_information']['recalculate_shipping']);
      if (!empty($form['payment_information'])) {
        unset($form['payment_information']['billing_information']['copy_to_address_book']);
      }
      if (!empty($form['billing_information']['profile']['copy_to_address_book'])) {
        unset($form['billing_information']['profile']['copy_to_address_book']);
      }
      if (!empty($form['shipping_information']['shipping_profile']['copy_to_address_book'])) {
        unset($form['shipping_information']['shipping_profile']['copy_to_address_book']);
      }
    }
    // Step 2 Review.
    if ($form['#step_id'] == 'review') {
      $form['review']['payment_information']['summary']['payment_gateway']['#prefix'] = '<div class="field__item">';
      $form['review']['payment_information']['summary']['payment_gateway']['#suffix'] = '</div>';
    }
    // Step 3 Payment.
    if ($form['#step_id'] == 'payment') {
      // $form['#suffix'] = 'Робокасса';
    }
    // Step 4 Complete.
    if ($form['#step_id'] == 'complete') {

    }
  }

}
