<?php

namespace Drupal\synpay\Service;

use Symfony\Component\HttpFoundation\Request;

/**
 * Class GatewayService.
 */
class GatewayService {

  /**
   * Constructs a new GatewayService object.
   */
  public function __construct() {
    $manager = \Drupal::service('plugin.manager.synpay');
    $this->manager = $manager;
    $this->definitions = $manager->getDefinitions();
  }

  /**
   * Commerce Return.
   */
  public function init(string $mode = 'test', array $config = []) {
    $config['mode'] = $mode;
    $this->gateway = $this->manager->createInstance($config['gateway'], $config);
    return $this;
  }

  /**
   * Commerce Place Order.
   */
  public function registerOrder(string $order_id, int $order_amount, array $params = []) {
    return $this->gateway->registerOrder($order_id, $order_amount, $params);
  }

  /**
   * Commerce Return.
   */
  public function onReturn(string $remote_id) {
    return $this->gateway->onReturn($remote_id);
  }

  /**
   * Commerce Notify.
   */
  public function onNotify(Request $request) {
    return $this->gateway->onNotify($request);
  }

  /**
   * Log.
   *
   * @param string $message
   *   Log message.
   */
  private function log($message) {
    \Drupal::logger('synpay')->info($message);
  }

}
